﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using ALinq.Inject;

namespace NorthwindDemo
{
class LoggerAttribute : HandlerAttribute
{
    public override void OnUpdateBegin(object entity, HandlerArguments args)
    {
        Console.WriteLine("============== Begin Update ====================");
    }

    public override void OnUpdateSuccess(object entity, HandlerArguments args)
    {
        Console.WriteLine("============== Update Success ====================");
    }

    public override void OnUpdateFail(object entity, HandlerExceptionArguments args)
    {
        Console.WriteLine("============== Update Fail ====================");
        Console.WriteLine(args.Exception.Message);
        args.Processed = true;
        Console.WriteLine("===============================================");
    }

    public override void OnUpdateEnd(object entity, HandlerArguments args)
    {
        Console.WriteLine("============== Update End ====================");
    }

}

    [Logger]
    partial class NorthwindDatabase
    {
    }
}
